/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication.jndi.agent.msg.request;

/**
 * Rename Request.
 * @author ddesjardins - EBM WebSourcing
 */
public class RenameRequest extends RegistryRequest {

    /**
     * Serial UID
     */
    private static final long serialVersionUID = 7927335372900800044L;

    public RenameRequest(String contextName, String oldKey, String newKey, boolean localConnection) {
        super(RequestType.rename, contextName, oldKey, newKey, localConnection);
    }
}
