/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.admin;

import java.util.ArrayList;
import java.util.List;

import javax.management.MBeanServer;
import javax.management.ObjectName;

/**
 * Moc object of the admin service.
 * @author ddesjardins - EBM WebSourcing
 */
public class AdminServiceMoc implements AdminServiceMocMBean {

	/**
	 * MBean server
	 */
	private MBeanServer beanServer;

	/**
     * Set of binding component object name
	 */
	public static List<ObjectName> bindingsCompo = new ArrayList<ObjectName>();

	public AdminServiceMoc(MBeanServer beanServer) {
		super();
		this.beanServer = beanServer;
		bindingsCompo = new ArrayList<ObjectName>();
	}

	public ObjectName[] getBindingComponents() {
        return bindingsCompo.toArray(new ObjectName[] {});
	}

	public ObjectName getComponentByName(String name) {
		return null;
	}

    public ObjectName[] getEngineComponents() {
        return bindingsCompo.toArray(new ObjectName[] {});
	}

	public String getSystemInfo() {
		return null;
	}

	public ObjectName getSystemService(String serviceName) {
		return null;
	}

	public ObjectName[] getSystemServices() {
		return null;
	}

	public boolean isBinding(String componentName) {
		return false;
	}

	public boolean isEngine(String componentName) {
		return false;
	}

    public MBeanServer getBeanServer() {
        return beanServer;
    }

}
